@charset "UTF-8";
/* CSS Document */

  /* Header */
  .header {
    height: 70px;
    /*background: #ccc;*/
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0 20px;
    position: relative;
  }

  /* Hamburger Button */
  .menu-btn {
    width: 40px;
    height: 40px;
    cursor: pointer;
    position: relative;
    z-index: 1001;
    background: #0066cc;
  }

  .menu-btn span,
  .menu-btn::before,
  .menu-btn::after {
    content: "";
    position: absolute;
    width: 30px;
    height: 4px;
    background: white;
    left: 5px;
    transition: 0.3s;
    border-radius: 2px;
  }

  .menu-btn span {
    top: 18px;
  }

  .menu-btn::before {
    top: 10px;
  }

  .menu-btn::after {
    top: 26px;
  }

  /* X Animation */
  .menu-btn.active span {
    opacity: 0;
  }

  .menu-btn.active::before {
    transform: rotate(45deg);
    top: 18px;
  }

  .menu-btn.active::after {
    transform: rotate(-45deg);
    top: 18px;
  }

  /* Side Menu */
  .side-menu {
    position: absolute;
    top: 100%;
    right: 0;

    width: 260px;

    background: rgba(20,20,20,0.95);

    transform: translateY(-10px);
    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transition: transform 0.65s cubic-bezier(0.22, 1, 0.36, 1),
	opacity 0.65s cubic-bezier(0.22, 1, 0.36, 1);

    z-index: 1000;
  }

  .side-menu.open {
    transform: translateY(0);
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }

  .side-menu a {
    display: block;
    color: white;
    text-decoration: none;
    padding: 18px 25px;
    border-bottom: 1px solid rgba(255,255,255,0.1);
    transition: background 0.2s;
  }

  .side-menu a:hover {
    background: rgba(255, 255, 255, 0.08);
  }
